Package org.eclipse.birt.chart.model.attribute.impl

# Class GradientImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FillImpl
org.eclipse.birt.chart.model.attribute.impl.GradientImpl

All Implemented Interfaces:
  `Fill`, `Gradient`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class GradientImpl extends FillImpl implements Gradient
An implementation of the model object ' Gradient'.

The following features are implemented:

- `Start Color`
- `End Color`
- `Direction`
- `Cyclic`
- `Transparency`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetEndColor(ColorDefinition newEndColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetStartColor(ColorDefinition newStartColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Gradient`
`copyInstance()`
A convenient method to get an instance copy.
`static final Gradient`
`create(ColorDefinition cdStart, ColorDefinition cdEnd)`
`static final Gradient`
`create(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)`
A convenience method provided to create a gradient instance with all member variables initialized
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getDirection()`
`ColorDefinition`
`getEndColor()`
`ColorDefinition`
`getStartColor()`
`int`
`getTransparency()`
`boolean`
`isCyclic()`
`boolean`
`isSetCyclic()`
`boolean`
`isSetDirection()`
`boolean`
`isSetTransparency()`
`void`
`setCyclic(boolean newCyclic)`
`void`
`setDirection(double newDirection)`
`void`
`setEndColor(ColorDefinition newEndColor)`
`void`
`setStartColor(ColorDefinition newStartColor)`
`void`
`setTransparency(int newTransparency)`
`String`
`toString()`
`void`
`unsetCyclic()`
`void`
`unsetDirection()`
`void`
`unsetTransparency()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.FillImpl

`getType, isSetType, setType, unsetType`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStartColor

public ColorDefinition getStartColor()

Specified by:
  `getStartColor` in interface `Gradient`
Returns:
  the value of the 'Start Color' containment reference.
See Also:
  - `Gradient.setStartColor(ColorDefinition)`
  - `AttributePackage.getGradient_StartColor()`

### basicSetStartColor

public org.eclipse.emf.common.notify.NotificationChain basicSetStartColor(ColorDefinition newStartColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setStartColor

public void setStartColor(ColorDefinition newStartColor)

Specified by:
  `setStartColor` in interface `Gradient`
Parameters:
  `newStartColor` - the new value of the 'Start Color' containment reference.
See Also:
  - `Gradient.getStartColor()`

### getEndColor

public ColorDefinition getEndColor()

Specified by:
  `getEndColor` in interface `Gradient`
Returns:
  the value of the 'End Color' containment reference.
See Also:
  - `Gradient.setEndColor(ColorDefinition)`
  - `AttributePackage.getGradient_EndColor()`

### basicSetEndColor

public org.eclipse.emf.common.notify.NotificationChain basicSetEndColor(ColorDefinition newEndColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setEndColor

public void setEndColor(ColorDefinition newEndColor)

Specified by:
  `setEndColor` in interface `Gradient`
Parameters:
  `newEndColor` - the new value of the 'End Color' containment reference.
See Also:
  - `Gradient.getEndColor()`

### getDirection

public double getDirection()

Specified by:
  `getDirection` in interface `Gradient`
Returns:
  the value of the 'Direction' attribute.
See Also:
  - `Gradient.isSetDirection()`
  - `Gradient.unsetDirection()`
  - `Gradient.setDirection(double)`
  - `AttributePackage.getGradient_Direction()`

### setDirection

public void setDirection(double newDirection)

Specified by:
  `setDirection` in interface `Gradient`
Parameters:
  `newDirection` - the new value of the 'Direction' attribute.
See Also:
  - `Gradient.isSetDirection()`
  - `Gradient.unsetDirection()`
  - `Gradient.getDirection()`

### unsetDirection

public void unsetDirection()

Specified by:
  `unsetDirection` in interface `Gradient`
See Also:
  - `Gradient.isSetDirection()`
  - `Gradient.getDirection()`
  - `Gradient.setDirection(double)`

### isSetDirection

public boolean isSetDirection()

Specified by:
  `isSetDirection` in interface `Gradient`
Returns:
  whether the value of the 'Direction' attribute is set.
See Also:
  - `Gradient.unsetDirection()`
  - `Gradient.getDirection()`
  - `Gradient.setDirection(double)`

### isCyclic

public boolean isCyclic()

Specified by:
  `isCyclic` in interface `Gradient`
Returns:
  the value of the 'Cyclic' attribute.
See Also:
  - `Gradient.isSetCyclic()`
  - `Gradient.unsetCyclic()`
  - `Gradient.setCyclic(boolean)`
  - `AttributePackage.getGradient_Cyclic()`

### setCyclic

public void setCyclic(boolean newCyclic)

Specified by:
  `setCyclic` in interface `Gradient`
Parameters:
  `newCyclic` - the new value of the 'Cyclic' attribute.
See Also:
  - `Gradient.isSetCyclic()`
  - `Gradient.unsetCyclic()`
  - `Gradient.isCyclic()`

### unsetCyclic

public void unsetCyclic()

Specified by:
  `unsetCyclic` in interface `Gradient`
See Also:
  - `Gradient.isSetCyclic()`
  - `Gradient.isCyclic()`
  - `Gradient.setCyclic(boolean)`

### isSetCyclic

public boolean isSetCyclic()

Specified by:
  `isSetCyclic` in interface `Gradient`
Returns:
  whether the value of the 'Cyclic' attribute is set.
See Also:
  - `Gradient.unsetCyclic()`
  - `Gradient.isCyclic()`
  - `Gradient.setCyclic(boolean)`

### getTransparency

public int getTransparency()

Specified by:
  `getTransparency` in interface `Gradient`
Returns:
  the value of the 'Transparency' attribute.
See Also:
  - `Gradient.isSetTransparency()`
  - `Gradient.unsetTransparency()`
  - `Gradient.setTransparency(int)`
  - `AttributePackage.getGradient_Transparency()`

### setTransparency

public void setTransparency(int newTransparency)

Specified by:
  `setTransparency` in interface `Gradient`
Parameters:
  `newTransparency` - the new value of the 'Transparency' attribute.
See Also:
  - `Gradient.isSetTransparency()`
  - `Gradient.unsetTransparency()`
  - `Gradient.getTransparency()`

### unsetTransparency

public void unsetTransparency()

Specified by:
  `unsetTransparency` in interface `Gradient`
See Also:
  - `Gradient.isSetTransparency()`
  - `Gradient.getTransparency()`
  - `Gradient.setTransparency(int)`

### isSetTransparency

public boolean isSetTransparency()

Specified by:
  `isSetTransparency` in interface `Gradient`
Returns:
  whether the value of the 'Transparency' attribute is set.
See Also:
  - `Gradient.unsetTransparency()`
  - `Gradient.getTransparency()`
  - `Gradient.setTransparency(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `FillImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `FillImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `FillImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `FillImpl`

### toString

public String toString()

Overrides:
  `toString` in class `FillImpl`

### create

public static final Gradient create(ColorDefinition cdStart, ColorDefinition cdEnd, double dDirectionInDegrees, boolean bCyclic)
A convenience method provided to create a gradient instance with all member variables initialized

Parameters:
  `cdStart` -
  `cdEnd` -
  `dDirectionInDegrees` - Must lie within the range of (90 >= 0 >= -90)
  `bCyclic` -
Returns:
  grandient instance with setting 'isSet' flag.

### create

public static final Gradient create(ColorDefinition cdStart, ColorDefinition cdEnd)

### copyInstance

public Gradient copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `Gradient`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `FillImpl`